Package org.opencv.xfeatures2d

## Class BriefDescriptorExtractor

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.BriefDescriptorExtractor

-     public class BriefDescriptorExtractor
      extends Feature2D

  Class for computing BRIEF descriptors described in CITE: calon2010 . bytes legth of the descriptor in bytes, valid values are: 16, 32 (default) or 64 . use_orientation sample patterns using keypoints orientation, disabled by default.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BriefDescriptorExtractor​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BriefDescriptorExtractor` | `__fromPtr__​(long addr)` |
    `static BriefDescriptorExtractor` | `create()` |
    `static BriefDescriptorExtractor` | `create​(int bytes)` |
    `static BriefDescriptorExtractor` | `create​(int bytes, boolean use_orientation)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `int` | `getDescriptorSize()` |
    `boolean` | `getUseOrientation()` |
    `void` | `setDescriptorSize​(int bytes)` |
    `void` | `setUseOrientation​(boolean use_orientation)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BriefDescriptorExtractor

          protected BriefDescriptorExtractor​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BriefDescriptorExtractor __fromPtr__​(long addr)

    - #### create

          public static BriefDescriptorExtractor create​(int bytes,
                                                        boolean use_orientation)

    - #### create

          public static BriefDescriptorExtractor create​(int bytes)

    - #### create

          public static BriefDescriptorExtractor create()

    - #### setDescriptorSize

          public void setDescriptorSize​(int bytes)

    - #### getDescriptorSize

          public int getDescriptorSize()

    - #### setUseOrientation

          public void setUseOrientation​(boolean use_orientation)

    - #### getUseOrientation

          public boolean getUseOrientation()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`